Recorded character activity
Look up the Dark Pawns admin API request and response contract. Sign in with a level 40 character and use the authenticated admin console session.
GET
/admin/activity/events
const url = 'https://example.com/admin/activity/events?range=24h&kind=login&limit=50';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://example.com/admin/activity/events?range=24h&kind=login&limit=50'Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”range
string
kind
string
search
string
before
integer format: int64
limit
integer format: int64
Responses
Section titled “Responses”OK
Media typeapplication/json
object
dropped
required
integer format: int64
entries
required
Array<object> | null
object
cause
string
class
required
string
id
required
integer format: int64
kind
required
string
level
required
integer format: int64
min_level
required
integer format: int64
mob_name
required
string
mob_vnum
required
integer format: int64
player
required
string
room_name
required
string
room_vnum
required
integer format: int64
time
required
string format: date-time
next_before
required
integer format: int64
recording
required
boolean
since
string format: date-time
total
required
integer format: int64
trimmed
required
integer format: int64
Example
{ "entries": [ { "cause": "mob", "kind": "login" } ]}Headers
Section titled “Headers”Cache-Control
string
default
Section titled “default”Error
Media typeapplication/problem+json
object
detail
A human-readable explanation specific to this occurrence of the problem.
string
errors
Optional list of individual error details
Array<object> | null
object
location
Where the error occurred, e.g. ‘body.items[3].tags’ or ‘path.thing-id’
string
message
Error message text
string
value
The value at the given location
instance
A URI reference that identifies the specific occurrence of the problem.
string format: uri
status
HTTP status code
integer format: int64
title
A short, human-readable summary of the problem type. This value should not change between occurrences of the error.
string
type
A URI reference to human-readable documentation for the error.
string format: uri
Example
{ "detail": "Property foo is required but is missing.", "instance": "https://example.com/error-log/abc123", "status": 400, "title": "Bad Request", "type": "about:blank"}